japa.parser.ast.stmt

## Class ExplicitConstructorInvocationStmt

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.Statement
    - - japa.parser.ast.stmt.ExplicitConstructorInvocationStmt

    public final class ExplicitConstructorInvocationStmt
    extends Statement

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`ExplicitConstructorInvocationStmt()`
`ExplicitConstructorInvocationStmt(boolean isThis, Expression expr, List<Expression> args)`
`ExplicitConstructorInvocationStmt(int beginLine, int beginColumn, int endLine, int endColumn, List<Type> typeArgs, boolean isThis, Expression expr, List<Expression> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<Expression>` `getArgs()`
`Expression` `getExpr()`
`List<Type>` `getTypeArgs()`
`boolean` `isThis()`
`void` `setArgs(List<Expression> args)`
`void` `setExpr(Expression expr)`
`void` `setThis(boolean isThis)`
`void` `setTypeArgs(List<Type> typeArgs)`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExplicitConstructorInvocationStmt

    public ExplicitConstructorInvocationStmt()

#### ExplicitConstructorInvocationStmt

    public ExplicitConstructorInvocationStmt(boolean isThis,
                                             Expression expr,
                                             List<Expression> args)

#### ExplicitConstructorInvocationStmt

    public ExplicitConstructorInvocationStmt(int beginLine,
                                             int beginColumn,
                                             int endLine,
                                             int endColumn,
                                             List<Type> typeArgs,
                                             boolean isThis,
                                             Expression expr,
                                             List<Expression> args)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getArgs

    public List<Expression> getArgs()

#### getExpr

    public Expression getExpr()

#### getTypeArgs

    public List<Type> getTypeArgs()

#### isThis

    public boolean isThis()

#### setArgs

    public void setArgs(List<Expression> args)

#### setExpr

    public void setExpr(Expression expr)

#### setThis

    public void setThis(boolean isThis)

#### setTypeArgs

    public void setTypeArgs(List<Type> typeArgs)